#ifndef AUTOTESTS_WINDOWS_STUB_URGENCY_NOTIFICATION_MODEL_H
#define AUTOTESTS_WINDOWS_STUB_URGENCY_NOTIFICATION_MODEL_H

#include <QSortFilterProxyModel>

#include "notification-model.h"

class UrgencyNotificationModel : public QSortFilterProxyModel
{
    Q_OBJECT
public:
    explicit UrgencyNotificationModel(QObject *parent = nullptr);

    Q_INVOKABLE void closeNotification(uint id);
    Q_INVOKABLE void execAction(uint id, QString action = QString());

protected:
    bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const override;
    bool lessThan(const QModelIndex &sourceLeft, const QModelIndex &sourceRight) const override;
};

#endif
